commit:     081878d0c2f20a38f90d7e56236d736e3510a37e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 10:34:20 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  4 21:32:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=081878d0

dev-python/gst-python: add 1.24.10

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/gst-python/Manifest                  |  1 +
 dev-python/gst-python/gst-python-1.24.10.ebuild | 63 +++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/gst-python/Manifest b/dev-python/gst-python/Manifest
index 4c7dec33af1c..bb4855bc851e 100644
--- a/dev-python/gst-python/Manifest
+++ b/dev-python/gst-python/Manifest
@@ -1,2 +1,3 @@
 DIST gst-python-1.22.11.tar.xz 118072 BLAKE2B 
7133bdc6462ed54669b18f0650ec9e9d5c90d406eadedccc2f125c01b05366c8cfd89ae17178a8197fd4c251d53fd848bdb498ff377076e402983a404f16c186
 SHA512 
749a3080ad56edfee66c6f24ab106b07cd2a7d6e5f704147a69e12fc0a1da9d9b8d8337c36ce62af459577df3f0804c60cbeb4a211454277ad0a46fd89edcfa5
 DIST gst-python-1.22.12.tar.xz 118924 BLAKE2B 
0d31f86e2b2e673da545c94f7f4b5f934614d4cf906b96844fbfecb0cf8d6af3d85fbf197477d534f2d72248e048b945c4b974b5239e4ae68951428e016526e3
 SHA512 
27cd724a21d66a6c3827e3cbaeeb70f15af5253763c1410990232cb550a363a7c61ff076771fdad94f31026ad70b051d2b1ef180bbab92e2e456ae4ce467223f
+DIST gst-python-1.24.10.tar.xz 124364 BLAKE2B 
6ef522ed2575e27059584a43925bf609a6efb3ba786521e2ddc68a87b3073350bcacd4efc5db8b9863949f663571c4a2b5d76dd3b044d92a340e1f92627609f2
 SHA512 
11c32ebd0374f7f4b51c8fe8f3874773c7f4b3b5d53c09ddc22d36cdd2512fc638d85c25085e2583ba7ea36da91c5e2f2169603c584c8be59d46fdcdd642f4db

diff --git a/dev-python/gst-python/gst-python-1.24.10.ebuild 
b/dev-python/gst-python/gst-python-1.24.10.ebuild
new file mode 100644
index 000000000000..50e860486672
--- /dev/null
+++ b/dev-python/gst-python/gst-python-1.24.10.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit meson python-r1 xdg-utils
+
+DESCRIPTION="A Python Interface to GStreamer"
+HOMEPAGE="https://gstreamer.freedesktop.org/";
+SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz";
+
+LICENSE="LGPL-2+"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc 
~x86 ~amd64-linux ~x86-linux"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=media-libs/gstreamer-${PV}:1.0[introspection]
+       >=media-libs/gst-plugins-base-${PV}:1.0[introspection]
+       >=dev-python/pygobject-3.8:3[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       # Avoid building & testing plugin - it must NOT be multi-python as 
gst-inspect will map in all libpython.so versions and crash or behave 
mysteriously.
+       # Python plugin support is of limited use (GIL gets in the way). If 
it's ever requested or needed, it should be a
+       # separate python-single-r1 media-plugins/gst-plugins-python package 
that only builds the plugin directory.
+       sed -e '/subdir.*plugin/d' -i meson.build || die
+       sed -e '/test_plugin.py/d' -i testsuite/meson.build || die
+
+       xdg_environment_reset
+}
+
+src_configure() {
+       configuring() {
+               meson_src_configure \
+                       -Dpython="${EPYTHON}"
+       }
+       python_foreach_impl configuring
+}
+
+src_compile() {
+       python_foreach_impl meson_src_compile
+}
+
+src_test() {
+       python_foreach_impl meson_src_test
+}
+
+src_install() {
+       installing() {
+               meson_src_install
+               python_optimize
+       }
+       python_foreach_impl installing
+}

Reply via email to